Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.gridcertainty.com/llms.txt

Use this file to discover all available pages before exploring further.

Choose a base URL

Use the public API for all routes documented in this tab: https://api.gridcertainty.com

1. Check health

curl https://api.gridcertainty.com/health

2. List datasets from the public API

curl "https://api.gridcertainty.com/v1/datasets?source=ercot"

3. List ERCOT pricing locations

curl "https://api.gridcertainty.com/v1/pricing_locations?isos=ercot"

4. Read API usage metadata

curl "https://api.gridcertainty.com/v1/api_usage"

5. Read a daily peak report

curl "https://api.gridcertainty.com/v1/reports/daily_peak/ercot?date=2026-05-18"

Authentication example

If your public API deployment uses API keys, send one of these forms:
curl -H "x-api-key: YOUR_API_KEY" https://api.gridcertainty.com/v1/datasets
curl "https://api.gridcertainty.com/v1/datasets?api_key=YOUR_API_KEY"